Attribute VB_Name = "globals"

'Windows API-Deklarationen
Declare Function winhelp Lib "user32" (ByVal hWnd As Integer, ByVal lpHelpFile As String, ByVal wCommand As Integer, dwData As Any) As Integer
Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long
Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Declare Function GetWindowsDirectory Lib "kernel32" (ByVal lpBuffer As String, ByVal nSize As Integer) As Integer
Declare Function GetSystemDirectory Lib "kernel32" (ByVal lpBuffer As String, ByVal nSize As Integer) As Integer


Global theAccessDB As String
Global theLogpath As String

Global theDB As Database

Sub IncField(textfield As Label)
   
  textfield = Trim$(Str$(Val(textfield) + 1))
  DoEvents

End Sub



Sub readIniFile()

  ' Parameter aus CSMLOG.INI lesen
  Dim res As Integer
  Dim MyReturn As String * 256
  
  res = GetPrivateProfileString("CSMLOG", "AccessDB", "", MyReturn, 256, "./csmlog.ini")
  theAccessDB = Left$(MyReturn, res)

  res = GetPrivateProfileString("CSMLOG", "Logpath", "", MyReturn, 256, "./csmlog.ini")
  theLogpath = Left$(MyReturn, res)

End Sub


Sub Centerform(X As Form)
    Screen.MousePointer = vbHourglass
    X.Top = (Screen.Height) / 2 - X.Height / 2
    X.Left = Screen.Width / 2 - X.Width / 2
    Screen.MousePointer = vbDefault
End Sub



Function Text2Date(datum As String) As Date

  Dim monat As Integer
  Select Case Mid$(datum, 4, 3)
  Case "Jan"
    monat = 1
  Case "Feb"
    monat = 2
  Case "Mar"
    monat = 3
  Case "Apr"
    monat = 4
  Case "May"
    monat = 5
  Case "Jun"
    monat = 6
  Case "Jul"
    monat = 7
  Case "Aug"
    monat = 8
  Case "Sep"
    monat = 9
  Case "Oct"
    monat = 10
  Case "Nov"
    monat = 11
  Case "Dez"
    monat = 12
  Case Else
    MsgBox "Unbekannter Monat ..."
    Exit Function
  End Select
     
  datetext = Left(datum, 3) & Format$(monat, "00") & Mid$(datum, 7, 5)
  datetext = datetext & " " & Mid$(datum, 13, 8)
  
  Text2Date = CDate(datetext)

End Function


